(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap0.png", id:"Bitmap0"},
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap0 = function() {
	this.initialize(img.Bitmap0);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,231,128);


(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,104,20);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,101,72);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,56,20);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,47,66);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,153,20);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,128,71);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,39,20);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,33,66);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,87,72);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,72,20);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,60,72);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,137,20);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,114,72);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,88,20);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,74,71);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,121,20);


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap0();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,231,128);
p.frameBounds = [rect];


(lib.gfx_back = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Symbol1();
	this.instance.setTransform(0,2.5,1,1,0,0,0,115.5,64);
	this.instance.filters = [new cjs.ColorFilter(0.3, 0.3, 0.3, 1, 178.5, 178.5, 178.5, 0)];
	this.instance.cache(-2,-2,235,132);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-61.5,231,128);
p.frameBounds = [rect];


(lib.m8b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();
	this.instance.setTransform(-16.5,-33);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m8a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();
	this.instance.setTransform(-19.5,-10);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m7b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(-64,-35.5);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m7a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(-76.5,-10);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m6b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(-23.5,-33);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m6a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(-28,-10);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m5b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(-50.5,-36);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m5a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(-60.5,-10);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m4b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(-37,-35.5);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m4a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(-44,-10);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m3b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(-57,-36);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m3a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(-68.5,-10);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m2b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(-30,-36);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m2a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();
	this.instance.setTransform(-36,-10);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m1b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();
	this.instance.setTransform(-43.5,-36);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m1a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap1();
	this.instance.setTransform(-52,-10);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._08b = function() {
	this.initialize();

	// back
	this.back = new lib.m8b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._08 = function() {
	this.initialize();

	// back
	this.back = new lib.m8a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._07b = function() {
	this.initialize();

	// back
	this.back = new lib.m7b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._07 = function() {
	this.initialize();

	// back
	this.back = new lib.m7a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._06b = function() {
	this.initialize();

	// back
	this.back = new lib.m6b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._06 = function() {
	this.initialize();

	// back
	this.back = new lib.m6a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._05b = function() {
	this.initialize();

	// back
	this.back = new lib.m5b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._05 = function() {
	this.initialize();

	// back
	this.back = new lib.m5a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._04b = function() {
	this.initialize();

	// back
	this.back = new lib.m4b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._04 = function() {
	this.initialize();

	// back
	this.back = new lib.m4a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._03b = function() {
	this.initialize();

	// back
	this.back = new lib.m3b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._03 = function() {
	this.initialize();

	// back
	this.back = new lib.m3a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._02b = function() {
	this.initialize();

	// back
	this.back = new lib.m2b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._02a = function() {
	this.initialize();

	// back
	this.back = new lib.m2a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._01b = function() {
	this.initialize();

	// back
	this.back = new lib.m1b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._01 = function() {
	this.initialize();

	// back
	this.back = new lib.m1a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Sortowanie */
		var config = {
			id: '32478',
			title: 'Dopasuj kartę z ilością klocków do karty z murem o długości odpowiadającej ilości klocków. Załóż, że 1 klocek jest równy 1 metrowi długości muru.',
			type: 'memo',
			container: this,
			/*
			groups: {		
				1: [1,2,3,4],
				2: [5,6],
				3: [7,8]
			},
			*/
			prefix: 'item_',
			results: [
			
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//zindex: 0
		}
		
		
		exerciseOnInit(config);
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.item_8_b = new lib._08b();
	this.item_8_b.setTransform(1008.7,581);

	this.item_8_a = new lib._08();
	this.item_8_a.setTransform(1008.7,434);

	this.item_7_b = new lib._07b();
	this.item_7_b.setTransform(757.7,581);

	this.item_7_a = new lib._07();
	this.item_7_a.setTransform(757.7,434);

	this.item_6_b = new lib._06b();
	this.item_6_b.setTransform(506.7,581);

	this.item_6_a = new lib._06();
	this.item_6_a.setTransform(506.7,434);

	this.item_5_b = new lib._05b();
	this.item_5_b.setTransform(255.7,581);

	this.item_5_a = new lib._05();
	this.item_5_a.setTransform(255.7,434);

	this.item_4_b = new lib._04b();
	this.item_4_b.setTransform(1008.7,291);

	this.item_4_a = new lib._04();
	this.item_4_a.setTransform(1008.7,144);

	this.item_3_b = new lib._03b();
	this.item_3_b.setTransform(757.7,291);

	this.item_3_a = new lib._03();
	this.item_3_a.setTransform(757.7,144);

	this.item_2_b = new lib._02b();
	this.item_2_b.setTransform(506.7,291);

	this.item_2_a = new lib._02a();
	this.item_2_a.setTransform(506.7,144);

	this.item_1_b = new lib._01b();
	this.item_1_b.setTransform(255.7,291);

	this.item_1_a = new lib._01();
	this.item_1_a.setTransform(255.7,144);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.item_1_a},{t:this.item_1_b},{t:this.item_2_a},{t:this.item_2_b},{t:this.item_3_a},{t:this.item_3_b},{t:this.item_4_a},{t:this.item_4_b},{t:this.item_5_a},{t:this.item_5_b},{t:this.item_6_a},{t:this.item_6_b},{t:this.item_7_a},{t:this.item_7_b},{t:this.item_8_a},{t:this.item_8_b}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(140.2,80,984,565);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(780.2,440,984,565);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;